<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-consumptions>
  <div class="h-full w-full flex flex-col">
    <app-header></app-header>
    <div *ngIf="node?.isOutdated" class="w-full h-12 bg-warning text-white flex items-center justify-center gap-2 shrink-0">
      <i class="fa fa-triangle-exclamation"></i>
      <div>
        Data Broker is outdated. Please run <span class="bg-whitesmoke border border-borderGrey px-2 py-0.5 rounded-sm text-text-500">docker compose pull</span> to
        update the Broker.
      </div>
    </div>
    <div class="w-full grow flex overflow-y-auto">
      <div class="h-full flex flex-col">
        <div class="grow overflow-auto">
          <app-side-nav [items]="nav"> </app-side-nav>
        </div>
        <app-app-status></app-app-status>
      </div>
      <div class="w-full h-full">
        <div class="px-3 pt-3 h-[calc(100%-70px)]">
          <router-outlet></router-outlet>
        </div>
        <app-eu-contrib></app-eu-contrib>
      </div>
    </div>
  </div>
</app-consumptions>
